#ifndef MESH_H
#define MESH_H

#include "client/rendering/wrapper/VertexBuffer.h"
#include "gaming-core/utils/List.h"
#include "client/rendering/Triangle.h"

class Mesh final {
public:
    Mesh();

    void add(const Triangle& data);

    void clear();
    void build();
    void draw() const;

private:
    VertexBuffer vertexBuffer;
    List<Triangle, 20000> buffer;
};

#endif