#include "common/block/Block.h"

Block::Block() : id(0), registry("") {
}

Block::Block(BlockId id, const BlockName& registry, const BlockBuilder& builder) : id(id), registry(registry) {
    (void) builder;
}

BlockId Block::getId() const {
    return id;
}

const BlockName& Block::getRegistry() const {
    return registry;
}