#ifndef CLIENT_H
#define CLIENT_H

#include "common/enet/enet.h"

class Client {
    public:
        Client();
        Client(const Client&) = delete;
        Client& operator=(const Client&) = delete;
        Client(Client&&) = delete;
        Client& operator=(Client&&) = delete;

        void connect(ENetPeer* peer);
        void disconnect();
        bool isDisconnected() const;

    private:
        ENetPeer* peer;
    };

#endif