#ifndef FRAMEBUFFERS_H
#define FRAMEBUFFERS_H

#include "gaming-core/utils/Size.h"
#include "client/rendering/wrapper/Framebuffer.h"

struct Framebuffers final {
    Framebuffers(const Size& size);
    void resize(int width, int height);
    bool hasError() const;

    Framebuffer world;
    Framebuffer ssao;
    Framebuffer ssaoBlur;
    Framebuffer shadow;
};

#endif