#ifndef STREAMBUFFER_H
#define STREAMBUFFER_H

class StreamBuffer final {
    int bufferSize;
    int offset;

    int index;
    float* buffer;
    
public:
    StreamBuffer(int size);
    StreamBuffer(const StreamBuffer& other) = delete;
    StreamBuffer(StreamBuffer&& other) = delete;
    StreamBuffer& operator=(const StreamBuffer& other) = delete;
    StreamBuffer& operator=(StreamBuffer&& other) = delete;

    void reset(int size);
    StreamBuffer& add(float f);
    void draw(int floatPerVertex);
};

#endif