#ifndef BLOCK_H
#define BLOCK_H

#include "common/block/BlockTypes.h"
#include "common/block/BlockBuilder.h"

class Block final {
public:
    Block();
    Block(BlockId id, const BlockName& registry, const BlockBuilder& builder);
    BlockId getId() const;
    const BlockName& getRegistry() const;

private:
    BlockId id;
    BlockName registry;
};

#endif